Loading...
Searching...
No Matches
alsound.h File Reference

OpenAL implementation of sound system. More...

`#include "sound/sound.h"`
`#include "common/thread/worker_thread.h"`
`#include "sound/oalsound/buffer.h"`
`#include "sound/oalsound/channel.h"`
`#include "sound/oalsound/check.h"`
`#include <map>`
`#include <memory>`
`#include <string>`
`#include <list>`
`#include <al.h>`
Include dependency graph for alsound.h:

## Classes

struct | OldMusic
class | CALSound

## Detailed Description

OpenAL implementation of sound system.